/*
  Potentiometer Serial | Mete Hoca PandaShield Core

  Mete Hoca, May 2023, https://www.tindie.com/stores/metehoca/
*/

byte POT = A2;
byte color = 0;

byte RED = 3;
byte GREEN = 5;
byte BLUE = 6;

void setup() {
  pinMode(RED, OUTPUT);
  pinMode(GREEN, OUTPUT);
  pinMode(BLUE, OUTPUT);
}

void loop() {
  int value = analogRead(POT);

  if(value < 170) {
    color = map(value, 0, 169, 0, 255);
    change_color(255,color,0);
  }

  if(value >= 170 && value < 340) {
    color = map(value, 170, 339, 0, 255);
    change_color(255-color,255,0);
  }

  if(value >= 340 && value < 510) {
    color = map(value, 340, 509, 0, 255);
    change_color(0,255,color);
  }

  if(value >= 510 && value < 680) {
    color = map(value, 510, 679, 0, 255);
    change_color(0,255-color,255);
  }

  if(value >= 680 && value < 850) {
    color = map(value, 680, 849, 0, 255);
    change_color(color,0,255);
  }

  if(value >= 850) {
    color = map(value, 850, 1023, 0, 255);
    change_color(255,0,255-color);
  }
}

void change_color(byte red, byte green, byte blue) {
  analogWrite(RED,red);
  analogWrite(GREEN,green);
  analogWrite(BLUE,blue);  
}
